Bug 15280 - irpc_destructor may crash during shutdown
Summary: irpc_destructor may crash during shutdown
Status: RESOLVED FIXED
Alias: None
Product: Samba 4.1 and newer
Classification: Unclassified
Component: Other (show other bugs)
Version: 4.17.4
Hardware: All All
: P5 normal (vote)
Target Milestone: ---
Assignee: Jule Anger
QA Contact: Samba QA Contact
URL: https://gitlab.com/samba-team/samba/-...
Keywords:
Depends on:
Blocks:
 
Reported: 2023-01-06 13:20 UTC by Stefan Metzmacher
Modified: 2023-01-26 17:52 UTC (History)
2 users (show)

See Also:


Attachments
fix for 4.16 and 4.17, cherry-picked from master (2.81 KB, patch)
2023-01-09 16:10 UTC, Björn Baumbach
slow: review+
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Stefan Metzmacher 2023-01-06 13:20:47 UTC
During shutdown of 'samba' we may hit a crash in irpc_destructor() if
the related imessaging_context is already destroyed.
Comment 1 Samba QA Contact 2023-01-06 15:05:03 UTC
This bug was referenced in samba master:

0d096931196524a2d1bf59470bc629dc9231131e
Comment 2 Björn Baumbach 2023-01-09 16:10:49 UTC
Created attachment 17722 [details]
fix for 4.16 and 4.17, cherry-picked from master
Comment 3 Ralph Böhme 2023-01-09 16:31:03 UTC
Reassinging to Jule for inclusion in 4.16 and 4.17.
Comment 4 Jule Anger 2023-01-13 09:24:27 UTC
Pushed to autobuild-v4-{17,16}-test.
Comment 5 Samba QA Contact 2023-01-13 10:32:20 UTC
This bug was referenced in samba v4-16-test:

a1fa2c18e566c8bfd670365ec2d875ad62648d77
Comment 6 Samba QA Contact 2023-01-13 11:57:19 UTC
This bug was referenced in samba v4-17-test:

cedb4ff4ca9ed2ca195287917904579cadce1c68
Comment 7 Jule Anger 2023-01-13 12:14:34 UTC
Closing out bug report.

Thanks!
Comment 8 Samba QA Contact 2023-01-26 17:52:30 UTC
This bug was referenced in samba v4-17-stable (Release samba-4.17.5):

cedb4ff4ca9ed2ca195287917904579cadce1c68